package com.steering.pss.sale.order.model;

public class CrmChangApply {
    /**
     * 数据库表CRM_CHANG_APPLY所对应的实体类（生成工具：代码生成器3.0）
     * @author DESKTOP-1636RA1   date 2020-11-21
     */
    /**
     * 合同变更单号(G+YYYYMMDD+00001)
     */
    private String orderChgeNo = "";
    /**
     * ORD_PK
     */
    private String ordPk = "";
    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     */
    private String ordLnPk = "";
    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     */
    private String ordLnDlyPk = "";
    /**
     * 合同号(记录创建时如无合同号，形成LS+YYMMDD+三位流水号的临时合同号
     */
    private String orderNo = "";
    /**
     * 合同行号(ORD_PK向下三位流水号,确保流水号的连续性)
     */
    private String orderSeq = "";
    /**
     * 交货编码(ORD_PK向下三位流水号，确保流水号唯一性、连续性)
     */
    private String deliveryNo = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述
     */
    private String stdStyleDesc = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 外径(mm)
     */
    private String dimater = "";
    /**
     * 壁厚(mm)
     */
    private String height = "";
    /**
     * 合同变更类型(技术、商务条款、价格、交货、运输)B类
     */
    private String chgeType = "";
    /**
     * 变更明细(变更值拼接字段)
     */
    private String chgeVal = "";
    /**
     * 变更单状态(L封锁、W待审、S通过、F失败)
     */
    private String chgeStatus = "";
    /**
     * 提出变更人
     */
    private String chger = "";
    /**
     * 提出变更时间
     */
    private String chgeDate = "";
    /**
     * 审核受理人
     */
    private String acceptor = "";
    /**
     * 审核时间
     */
    private String dealEdate = "";
    /**
     * 数据类型(0 新增 1修改 2删除)
     */
    private String dataStatus = "";
    /**
     * CRM是否同步(0 未同步 1已同步)
     */
    private String isFlag = "";
    /**
     * CRM同步时间
     */
    private String synchroTime = "";

    /**
     * 合同变更单号(G+YYYYMMDD+00001)
     *
     * @return value
     */
    public String getOrderChgeNo() {
        return orderChgeNo;
    }

    /**
     * 合同变更单号(G+YYYYMMDD+00001)
     *
     * @param orderChgeNo value
     */
    public void setOrderChgeNo(String orderChgeNo) {
        this.orderChgeNo = orderChgeNo;
    }

    /**
     * ORD_PK
     *
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * ORD_PK
     *
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     *
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     *
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     *
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     *
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 合同号(记录创建时如无合同号，形成LS+YYMMDD+三位流水号的临时合同号
     *
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号(记录创建时如无合同号，形成LS+YYMMDD+三位流水号的临时合同号
     *
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号(ORD_PK向下三位流水号,确保流水号的连续性)
     *
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号(ORD_PK向下三位流水号,确保流水号的连续性)
     *
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 交货编码(ORD_PK向下三位流水号，确保流水号唯一性、连续性)
     *
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 交货编码(ORD_PK向下三位流水号，确保流水号唯一性、连续性)
     *
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 品名代码
     *
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     *
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     *
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     *
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 标准代码
     *
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     *
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     *
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     *
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 钢级(牌号)代码
     *
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     *
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     *
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     *
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 标准类别代码
     *
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     *
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述
     *
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述
     *
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 扣型代码
     *
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     *
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     *
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     *
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 外径(mm)
     *
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 外径(mm)
     *
     * @param dimater value
     */
    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    /**
     * 壁厚(mm)
     *
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 壁厚(mm)
     *
     * @param height value
     */
    public void setHeight(String height) {
        this.height = height;
    }

    /**
     * 合同变更类型(技术、商务条款、价格、交货、运输)B类
     *
     * @return value
     */
    public String getChgeType() {
        return chgeType;
    }

    /**
     * 合同变更类型(技术、商务条款、价格、交货、运输)B类
     *
     * @param chgeType value
     */
    public void setChgeType(String chgeType) {
        this.chgeType = chgeType;
    }

    /**
     * 变更明细(变更值拼接字段)
     *
     * @return value
     */
    public String getChgeVal() {
        return chgeVal;
    }

    /**
     * 变更明细(变更值拼接字段)
     *
     * @param chgeVal value
     */
    public void setChgeVal(String chgeVal) {
        this.chgeVal = chgeVal;
    }

    /**
     * 变更单状态(L封锁、W待审、S通过、F失败)
     *
     * @return value
     */
    public String getChgeStatus() {
        return chgeStatus;
    }

    /**
     * 变更单状态(L封锁、W待审、S通过、F失败)
     *
     * @param chgeStatus value
     */
    public void setChgeStatus(String chgeStatus) {
        this.chgeStatus = chgeStatus;
    }

    /**
     * 提出变更人
     *
     * @return value
     */
    public String getChger() {
        return chger;
    }

    /**
     * 提出变更人
     *
     * @param chger value
     */
    public void setChger(String chger) {
        this.chger = chger;
    }

    /**
     * 提出变更时间
     *
     * @return value
     */
    public String getChgeDate() {
        return chgeDate;
    }

    /**
     * 提出变更时间
     *
     * @param chgeDate value
     */
    public void setChgeDate(String chgeDate) {
        this.chgeDate = chgeDate;
    }

    /**
     * 审核受理人
     *
     * @return value
     */
    public String getAcceptor() {
        return acceptor;
    }

    /**
     * 审核受理人
     *
     * @param acceptor value
     */
    public void setAcceptor(String acceptor) {
        this.acceptor = acceptor;
    }

    /**
     * 审核时间
     *
     * @return value
     */
    public String getDealEdate() {
        return dealEdate;
    }

    /**
     * 审核时间
     *
     * @param dealEdate value
     */
    public void setDealEdate(String dealEdate) {
        this.dealEdate = dealEdate;
    }

    /**
     * 数据类型(0 新增 1修改 2删除)
     *
     * @return value
     */
    public String getDataStatus() {
        return dataStatus;
    }

    /**
     * 数据类型(0 新增 1修改 2删除)
     *
     * @param dataStatus value
     */
    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    /**
     * CRM是否同步(0 未同步 1已同步)
     *
     * @return value
     */
    public String getIsFlag() {
        return isFlag;
    }

    /**
     * CRM是否同步(0 未同步 1已同步)
     *
     * @param isFlag value
     */
    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    /**
     * CRM同步时间
     *
     * @return value
     */
    public String getSynchroTime() {
        return synchroTime;
    }

    /**
     * CRM同步时间
     *
     * @param synchroTime value
     */
    public void setSynchroTime(String synchroTime) {
        this.synchroTime = synchroTime;
    }
}
